Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

Angular Sparkline Charts is a replacement for normal charts to display trends in a very small area. Customize sparklines completely by changing the series or axis type and by adding markers, data labels, range bands, and more.


Sparkline types

Angular Sparkline Charts support five types of sparklines (line, column, area, win-loss, and pie) to show data trends.

Angular sparkline chart rendered in line type.

Line sparkline

Use a line sparkline to represent patterns and trends in data, such as seasonal effects, large changes, and turning points over a period of time.

Angular sparkline chart rendered in area type.

Area sparkline

An area sparkline is a line sparkline with the area between its points colored. Use this when the magnitude of the trend is to be communicated rather than individual data values.

Angular sparkline chart rendered in column type.

Column sparkline

A column sparkline is designed to show different values of two or more subjects. Use vertical bars to represent the different values.

Angular sparkline chart rendered in win-loss type.

Win-loss sparkline

Use a win-loss sparkline to show if each value is positive, negative, or zero to visualize win/loss scenarios such as results in games.

Angular sparkline chart rendered in pie type.

Pie sparkline

A pie sparkline is a circular graph that is divided into slices to illustrate numeric proportions.


Axis value types

Angular Sparkline Charts control offers different axes types like numeric, category, and date-time to plot any type of data in the sparkline.


Axis customization

Configure and customize axis in the sparkline graphs to show the origin and range of the data points.

Angular sparkline chart rendered with customized axis.


Special points customization

Some data points in the sparklines are special. Denote the data usage by highlighting and customizing the special data points, such as first, last, high, low, and negative points.

Angular sparkline chart rendered with customized special points.


Markers

The markers highlights data points in the line and area sparklines and makes these sparklines more readable.

Angular sparkline chart rendered with markers.


Data label

Improve readability by using data labels in the sparkline to display the values of data points.

Sparkline with Data labels.


Tooltip

The interactive Angular Sparkline Charts provide options to display details about data point values through a tooltip when hovering the mouse over a data point.

Displays a tooltip on moving mouse over the data points in Angular sparkline charts.


Track line

The track line tracks the data points that are closer to the mouse position or touch contact.

Displays a track line on moving mouse over the data points in Angular sparkline charts.


Range band

Highlight a particular region in a Angular sparkline charts using a range band to show the range of safe values. By setting the minimum and maximum for a range band, the outliers can be easily identified.

Angular sparkline chart rendered with a range band.


Touch and browser support

The interactive Sparkline Chart control also supports touch interactions.

Touch illustration

Touch support

All the sparkline features will work on touch devices with zero configuration. Use touch features such as tooltip and track line without any customization.

Responsive illustration

Responsive

You can view the Sparkline Charts control on various devices. Also hide specific elements in the sparkline for particular screen sizes by making a very minimal change in the events.

Cross-browser illustration

Cross-browser support

You can render the Sparkline Charts component in all modern browsers.


Angular Smith Chart Code Example

Easily get started with the Angular Sparkline Chart using a few simple lines of ts code example as demonstrated below. Also explore our Angular Sparkline Chart Example that shows you how to render and configure the Smith Chart in Angular.

  1. import { Component } from '@angular/core';
  2.  
  3. @Component({
  4. selector: 'app-container',
  5. template: `<ejs-sparkline id='container' width='70%' height='100px' type="Line" [dataSource]="data" xName="xval" yName="yval">
  6. </ejs-sparkline>`
  7. })
  8.  
  9. export class AppComponent {
  10. public data: object[] = [
  11. { x: 0, xval: '2005', yval: 20090440 },
  12. { x: 1, xval: '2006', yval: 20264080 },
  13. { x: 2, xval: '2007', yval: 20434180 },
  14. { x: 3, xval: '2008', yval: 21007310 },
  15. { x: 4, xval: '2009', yval: 21262640 },
  16. { x: 5, xval: '2010', yval: 21515750 },
  17. { x: 6, xval: '2011', yval: 21766710 },
  18. { x: 7, xval: '2012', yval: 22015580 },
  19. { x: 8, xval: '2013', yval: 22262500 },
  20. { x: 9, xval: '2014', yval: 22507620 },
  21. ];
  22. }

Other supported frameworks

Sparkline Charts is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Sparkline Charts platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Sparkline Chart is kept up to date to make it compatible with the latest version.

90+ ANGULAR UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Sparkline Charts is a replacement for normal charts to display trends in a very small area. Customize sparklines completely by changing the series or axis type and by adding markers, data labels, range bands, and more.


Sparkline types

React Sparkline Charts support five types of sparklines (line, column, area, win-loss, and pie) to show data trends.

React sparkline chart rendered in line type.

Line sparkline

Use a line sparkline to represent patterns and trends in data, such as seasonal effects, large changes, and turning points over a period of time.

React sparkline chart rendered in area type.

Area sparkline

An area sparkline is a line sparkline with the area between its points colored. Use this when the magnitude of the trend is to be communicated rather than individual data values.

React sparkline charts rendered in column type.

Column sparkline

A column sparkline is designed to show different values of two or more subjects. Use vertical bars to represent the different values.

React sparkline chart rendered in win-loss type.

Win-loss sparkline

Use a win-loss sparkline to show if each value is positive, negative, or zero to visualize win/loss scenarios such as results in games.

React sparkline chart rendered in pie type.

Pie sparkline

A pie sparkline is a circular graph that is divided into slices to illustrate numeric proportions.


Axis value types

React Sparkline Charts control offers different axes types like numeric, category, and date-time to plot any type of data in the sparkline.


Axis customization

Configure and customize axis in the sparkline graphs to show the origin and range of the data points.

React sparkline chart rendered with customized axis.


Special points customization

Some data points in the sparklines are special. Denote the data usage by highlighting and customizing the special data points, such as first, last, high, low, and negative points.

React sparkline chart rendered with customized special points.


Markers

The markers highlights data points in the line and area sparklines and makes these sparklines more readable.

React sparkline chart rendered with markers.


Data label

Improve readability by using data labels in the sparkline to display the values of data points.

React Sparkline with Data labels.


Tooltip

The interactive React Sparkline Charts provide options to display details about data point values through a tooltip when hovering the mouse over a data point.

Displays a tooltip on moving mouse over the data points in React sparkline charts.


Track line

The track line tracks the data points that are closer to the mouse position or touch contact.

Displays a track line on moving mouse over the data points in React sparkline charts.


Range band

Highlight a particular region in a React sparkline charts using a range band to show the range of safe values. By setting the minimum and maximum for a range band, the outliers can be easily identified.

React sparkline chart rendered with a range band.


Sparkline dimensions

Sparklines can be rendered to its container size. The size of a Sparkline can be set directly on the Sparkline or to the Sparkline’s container. Customize the Sparkline dimensions by setting the container element’s width and height.

React sparkline dimensions.


Touch and browser support

The interactive Sparkline Chart control also supports touch interactions.

React Sparklines Touch illustration

Touch support

All the React sparkline features will work on touch devices with zero configuration. Use touch features such as tooltip and track line without any customization.

React Sparklines Responsive illustration

Responsive

You can view the React Sparkline Charts control on various devices. Also hide specific elements in the sparkline for particular screen sizes by making a very minimal change in the events.

Cross-browser illustration

Cross-browser support

You can render the Sparkline Charts component in all modern browsers.


React Sparkline Code Example

Easily get started with the React Sparkline using a few simple lines of TSX code example as demonstrated below. Also explore our React Sparkline Example that shows you how to render and configure the Smith Chart in React.

  1. import * as React from "react";
  2. import * as ReactDOM from "react-dom";
  3. import { SparklineComponent, Inject, SparklineTooltip } from '@syncfusion/ej2-react-charts';
  4. class App extends React.Component {
  5. render() {
  6. return (
  7. <SparklineComponent id='spark1-container' height='80px' width='90%' lineWidth={1} type='Line' valueType='Numeric' fill='#3C78EF' markerSettings= dataSource={[
  8. { x: 1, yval: 5 },
  9. { x: 2, yval: 6 },
  10. { x: 3, yval: 5 },
  11. { x: 4, yval: 7 },
  12. { x: 5, yval: 4 },
  13. { x: 6, yval: 3 },
  14. { x: 7, yval: 9 },
  15. { x: 8, yval: 5 },
  16. { x: 9, yval: 6 },
  17. { x: 10, yval: 5 },
  18. { x: 11, yval: 7 },
  19. { x: 12, yval: 8 },
  20. { x: 13, yval: 4 },
  21. { x: 14, yval: 5 },
  22. { x: 15, yval: 3 },
  23. { x: 16, yval: 4 },
  24. { x: 17, yval: 11 },
  25. { x: 18, yval: 10 },
  26. { x: 19, yval: 2 },
  27. { x: 20, yval: 12 },
  28. { x: 21, yval: 4 },
  29. { x: 22, yval: 7 },
  30. { x: 23, yval: 6 },
  31. { x: 24, yval: 8 },
  32. ]} xName='x' yName='yval'>
  33. <Inject services={[SparklineTooltip]}/>
  34. </SparklineComponent>);
  35. }
  36. }
  37. ReactDOM.render(<App />, document.getElementById('smithchart'));

Other supported frameworks

The Sparkline Charts component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Sparkline Charts platforms from the links below,

90+ REACT UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us